import type BaseImage from "../component/baseImage";
import type ContentField from "../field/content";

export default interface BaseCollection {
  id: number;
  documentId: string;
  slug: string;
  createdAt: string;
  updatedAt: string;
  publishedAt: string;
  locale: string;

  title: string;
  description: string;
  date: string | undefined;
  content: ContentField | undefined;
  image: BaseImage | undefined;
  attachment: Array<BaseImage>;
}
