import type DynamicZoneColumnImageText from "./dynamicZoneColumnImageText";
import type DynamicZoneDualColumnText from "./dynamicZoneDualColumnText";
import type DynamicZoneEmphasiseArticle from "./dynamicZoneEmphasiseArticle";
import type DynamicZoneFullImage from "./dynamicZoneFullImage";
import type DynamicZoneFullText from "./dynamicZoneFullText";
import type DynamicZoneGallery from "./dynamicZoneGallery";
import type SharedList from "./sharedList";

export default interface BaseComponent {
  __component: ComponentNames;
  id: number;
}

export type ComponentNames =
  | "shared.list"
  | "dynamic-zone.gallery"
  | "dynamic-zone.full-text"
  | "dynamic-zone.full-image"
  | "dynamic-zone.emphasise-article"
  | "dynamic-zone.dual-column-text"
  | "dynamic-zone.column-image-text";

export type ComponentTypes =
  | SharedList
  | DynamicZoneGallery
  | DynamicZoneFullText
  | DynamicZoneFullImage
  | DynamicZoneEmphasiseArticle
  | DynamicZoneDualColumnText
  | DynamicZoneColumnImageText;
